Skip to main content
`Ctrl`+`K`

# PCFactorSetShiftAmount

adds a quantity to the diagonal of the matrix during numerical factorization, thus the matrix has nonzero pivots

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetShiftAmount(PC pc, PetscReal shiftamount)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- shiftamount - amount of shift or `PETSC_DECIDE` for the default

## Options Database Key

- -pc_factor_shift_amount shiftamount - Sets shift amount or -1 for the default

## See Also

KSP: Linear System Solvers, `PCCHOLESKY`, `PCLU`, `PCFactorSetZeroPivot()`, `PCFactorSetShiftType()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetShiftAmount_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages